#include <bits/stdc++.h>
using namespace std;
#define ll long long
#define MAXN 1010
ll H[MAXN];

int main(){

    int N; ll L;
    cin >> N >> L;
    for(int i = 1; i <= N; i++)
        cin >> H[i];

    int rez;
    int indeks = 1;
    bool zaustavio = false;
    while(indeks < N + 1){
        if(H[indeks] <= L){
            zaustavio = true;
            rez = indeks;
            break;
        }
        indeks++;
    }
    if(zaustavio) cout << rez;
    else cout << -1;
}